# TXAudioEffectManager class Null safety

Music and voice settings APIs for the TRTC video call feature

## Constructors

TXAudioEffectManager(dynamic channel)

## Properties

hashCode → int
  The hash code for this object.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

enableVoiceEarMonitor(bool enable) → Future<void>
  Enable in-ear monitoring
getMusicCurrentPosInMS(int id) → Future<int?>
  Get the current playback progress of background music in milliseconds
getMusicDurationInMS(String path) → Future<int?>
  Get the total duration of the background music file in milliseconds
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
pausePlayMusic(int id) → Future<void>
  Pause background music
resumePlayMusic(int id) → Future<void>
  Resume background music
seekMusicToPosInMS(int id, int pts) → Future<void>
  Set the playback progress of background music in milliseconds
setAllMusicVolume(int volume) → Future<void>
  Set the local and remote volumes of global background music
setMusicPitch(int id, double pitch) → Future<void>
  Adjust the pitch of background music
setMusicPlayoutVolume(int id, int volume) → Future<void>
  Set the local volume of background music. The anchor can use this API to set the volume of local background music.
setMusicPublishVolume(int id, int volume) → Future<void>
  Set the remote volume of background music. The anchor can use this API to set the volume of background music heard by the remote audience.
setMusicSpeedRate(int id, double speedRate) → Future<void>
  Adjust the speed of background music
setVoiceCaptureVolume(int volume) → Future<void>
  Set the mic voice volume
setVoiceChangerType(int type) → Future<void>
  Set the voice changing effect (young girl, middle-aged man, heavy metal, punk, and other effects)
setVoiceEarMonitorVolume(int volume) → Future<void>
  Set the in-ear monitoring volume
setVoiceReverbType(int type) → Future<void>
  Set the voice reverb effect (karaoke room, small room, big hall, deep, resonant, and other effects)
startPlayMusic(AudioMusicParam musicParam) → Future<bool?>
  Start background music
stopPlayMusic(int id) → Future<void>
  Stop background music
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited